<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Alicuota{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$porcentaje){
	$sql="INSERT INTO alicuota (nombre,porcentaje,condicion) VALUES ('$nombre','$porcentaje','1')";
	return ejecutarConsulta($sql);
}

public function editar($idalicuota,$nombre,$porcentaje){
	$sql="UPDATE alicuota SET nombre='$nombre',porcentaje='$porcentaje' 
	WHERE idalicuota='$idalicuota'";
	return ejecutarConsulta($sql);
}
public function desactivar($idalicuota){
	$sql="UPDATE alicuota SET condicion='0' WHERE idalicuota='$idalicuota'";
	return ejecutarConsulta($sql);
}
public function activar($idalicuota){
	$sql="UPDATE alicuota SET condicion='1' WHERE idalicuota='$idalicuota'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idalicuota){
	$sql="SELECT * FROM alicuota WHERE idalicuota='$idalicuota'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM alicuota";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM alicuota WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
